ApiReplicationSchedule (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiReplicationSchedule

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiSchedule
  - - com.cloudera.api.swagger.model.ApiReplicationSchedule

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiReplicationSchedule
      extends ApiSchedule

  A replication job schedule. <p/> Replication jobs have service-specific arguments. This object has methods to retrieve arguments for all supported types of replication, but only one argument type is allowed to be set; the backend will check that the provided argument matches the service type where the replication is being scheduled. <p/> The replication job's arguments should match the underlying service. Refer to each property's documentation to find out which properties correspond to which services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationSchedule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiReplicationSchedule` | `active(Boolean active)`
    `ApiReplicationSchedule` | `addHistoryItem(ApiReplicationCommand historyItem)`
    `ApiReplicationSchedule` | `atlasReplicationArguments(ApiAtlasReplicationArguments atlasReplicationArguments)`
    `boolean` | `equals(Object o)`
    `ApiAtlasReplicationArguments` | `getAtlasReplicationArguments()` Get atlasReplicationArguments
    `ApiHBaseReplicationArguments` | `getHbaseArguments()` Get hbaseArguments
    `ApiHdfsReplicationArguments` | `getHdfsArguments()` Get hdfsArguments
    `ApiHdfsCloudReplicationArguments` | `getHdfsCloudArguments()` Get hdfsCloudArguments
    `List<ApiReplicationCommand>` | `getHistory()` List of active and/or finished commands for this schedule.
    `ApiHive3ReplicationArguments` | `getHive3Arguments()` Get hive3Arguments
    `ApiHiveReplicationArguments` | `getHiveArguments()` Get hiveArguments
    `ApiHiveCloudReplicationArguments` | `getHiveCloudArguments()` Get hiveCloudArguments
    `ApiIcebergReplicationArguments` | `getIcebergArguments()` Get icebergArguments
    `ApiOzoneReplicationArguments` | `getOzoneReplicationArguments()` Get ozoneReplicationArguments
    `ApiRangerReplicationArgs` | `getRangerArguments()` Get rangerArguments
    `int` | `hashCode()`
    `ApiReplicationSchedule` | `hbaseArguments(ApiHBaseReplicationArguments hbaseArguments)`
    `ApiReplicationSchedule` | `hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `ApiReplicationSchedule` | `hdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)`
    `ApiReplicationSchedule` | `history(List<ApiReplicationCommand> history)`
    `ApiReplicationSchedule` | `hive3Arguments(ApiHive3ReplicationArguments hive3Arguments)`
    `ApiReplicationSchedule` | `hiveArguments(ApiHiveReplicationArguments hiveArguments)`
    `ApiReplicationSchedule` | `hiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)`
    `ApiReplicationSchedule` | `icebergArguments(ApiIcebergReplicationArguments icebergArguments)`
    `Boolean` | `isActive()` Read-only field that is true if this schedule is currently active, false if not.
    `ApiReplicationSchedule` | `ozoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)`
    `ApiReplicationSchedule` | `rangerArguments(ApiRangerReplicationArgs rangerArguments)`
    `void` | `setActive(Boolean active)`
    `void` | `setAtlasReplicationArguments(ApiAtlasReplicationArguments atlasReplicationArguments)`
    `void` | `setHbaseArguments(ApiHBaseReplicationArguments hbaseArguments)`
    `void` | `setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)`
    `void` | `setHdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)`
    `void` | `setHistory(List<ApiReplicationCommand> history)`
    `void` | `setHive3Arguments(ApiHive3ReplicationArguments hive3Arguments)`
    `void` | `setHiveArguments(ApiHiveReplicationArguments hiveArguments)`
    `void` | `setHiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)`
    `void` | `setIcebergArguments(ApiIcebergReplicationArguments icebergArguments)`
    `void` | `setOzoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)`
    `void` | `setRangerArguments(ApiRangerReplicationArgs rangerArguments)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiSchedule

      `alertOnAbort, alertOnFail, alertOnStart, alertOnSuccess, description, displayName, endTime, getDescription, getDisplayName, getEndTime, getId, getInterval, getIntervalUnit, getNextRun, getStartTime, id, interval, intervalUnit, isAlertOnAbort, isAlertOnFail, isAlertOnStart, isAlertOnSuccess, isPaused, nextRun, paused, setAlertOnAbort, setAlertOnFail, setAlertOnStart, setAlertOnSuccess, setDescription, setDisplayName, setEndTime, setId, setInterval, setIntervalUnit, setNextRun, setPaused, setStartTime, startTime`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationSchedule

          public ApiReplicationSchedule()

  - ### Method Detail

    - #### hdfsArguments

          public ApiReplicationSchedule hdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### getHdfsArguments

          public ApiHdfsReplicationArguments getHdfsArguments()

      Get hdfsArguments
      Returns:
        hdfsArguments

    - #### setHdfsArguments

          public void setHdfsArguments(ApiHdfsReplicationArguments hdfsArguments)

    - #### hiveArguments

          public ApiReplicationSchedule hiveArguments(ApiHiveReplicationArguments hiveArguments)

    - #### getHiveArguments

          public ApiHiveReplicationArguments getHiveArguments()

      Get hiveArguments
      Returns:
        hiveArguments

    - #### setHiveArguments

          public void setHiveArguments(ApiHiveReplicationArguments hiveArguments)

    - #### hdfsCloudArguments

          public ApiReplicationSchedule hdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)

    - #### getHdfsCloudArguments

          public ApiHdfsCloudReplicationArguments getHdfsCloudArguments()

      Get hdfsCloudArguments
      Returns:
        hdfsCloudArguments

    - #### setHdfsCloudArguments

          public void setHdfsCloudArguments(ApiHdfsCloudReplicationArguments hdfsCloudArguments)

    - #### ozoneReplicationArguments

          public ApiReplicationSchedule ozoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)

    - #### getOzoneReplicationArguments

          public ApiOzoneReplicationArguments getOzoneReplicationArguments()

      Get ozoneReplicationArguments
      Returns:
        ozoneReplicationArguments

    - #### setOzoneReplicationArguments

          public void setOzoneReplicationArguments(ApiOzoneReplicationArguments ozoneReplicationArguments)

    - #### history

          public ApiReplicationSchedule history(List<ApiReplicationCommand> history)

    - #### addHistoryItem

          public ApiReplicationSchedule addHistoryItem(ApiReplicationCommand historyItem)

    - #### getHistory

          public List<ApiReplicationCommand> getHistory()

      List of active and/or finished commands for this schedule.
      Returns:
        history

    - #### setHistory

          public void setHistory(List<ApiReplicationCommand> history)

    - #### active

          public ApiReplicationSchedule active(Boolean active)

    - #### isActive

          public Boolean isActive()

      Read-only field that is true if this schedule is currently active, false if not. Available since API v11.
      Returns:
        active

    - #### setActive

          public void setActive(Boolean active)

    - #### hiveCloudArguments

          public ApiReplicationSchedule hiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)

    - #### getHiveCloudArguments

          public ApiHiveCloudReplicationArguments getHiveCloudArguments()

      Get hiveCloudArguments
      Returns:
        hiveCloudArguments

    - #### setHiveCloudArguments

          public void setHiveCloudArguments(ApiHiveCloudReplicationArguments hiveCloudArguments)

    - #### hbaseArguments

          public ApiReplicationSchedule hbaseArguments(ApiHBaseReplicationArguments hbaseArguments)

    - #### getHbaseArguments

          public ApiHBaseReplicationArguments getHbaseArguments()

      Get hbaseArguments
      Returns:
        hbaseArguments

    - #### setHbaseArguments

          public void setHbaseArguments(ApiHBaseReplicationArguments hbaseArguments)

    - #### hive3Arguments

          public ApiReplicationSchedule hive3Arguments(ApiHive3ReplicationArguments hive3Arguments)

    - #### getHive3Arguments

          public ApiHive3ReplicationArguments getHive3Arguments()

      Get hive3Arguments
      Returns:
        hive3Arguments

    - #### setHive3Arguments

          public void setHive3Arguments(ApiHive3ReplicationArguments hive3Arguments)

    - #### rangerArguments

          public ApiReplicationSchedule rangerArguments(ApiRangerReplicationArgs rangerArguments)

    - #### getRangerArguments

          public ApiRangerReplicationArgs getRangerArguments()

      Get rangerArguments
      Returns:
        rangerArguments

    - #### setRangerArguments

          public void setRangerArguments(ApiRangerReplicationArgs rangerArguments)

    - #### icebergArguments

          public ApiReplicationSchedule icebergArguments(ApiIcebergReplicationArguments icebergArguments)

    - #### getIcebergArguments

          public ApiIcebergReplicationArguments getIcebergArguments()

      Get icebergArguments
      Returns:
        icebergArguments

    - #### setIcebergArguments

          public void setIcebergArguments(ApiIcebergReplicationArguments icebergArguments)

    - #### atlasReplicationArguments

          public ApiReplicationSchedule atlasReplicationArguments(ApiAtlasReplicationArguments atlasReplicationArguments)

    - #### getAtlasReplicationArguments

          public ApiAtlasReplicationArguments getAtlasReplicationArguments()

      Get atlasReplicationArguments
      Returns:
        atlasReplicationArguments

    - #### setAtlasReplicationArguments

          public void setAtlasReplicationArguments(ApiAtlasReplicationArguments atlasReplicationArguments)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiSchedule`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiSchedule`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiSchedule`

Copyright © 2026. All rights reserved.